########################################################################################################################
# Stores assertion result information
########################################################################################################################

require_relative 'located_info'

module Rproof
  class Assertion < LocatedInfo
    def initialize(expected, obtained, is_successful, comment)
      super()
      @expected = expected
      @obtained = obtained
      @is_successful = is_successful
      @comment = comment
    end
    attr_reader :expected, :obtained, :is_successful, :comment
  end
end
